#!/bin/bash

# shellcheck disable=SC1091

set -o errexit
set -o nounset
set -o pipefail
# set -o xtrace # Uncomment this line for debugging purposes

# Load libraries
. /opt/nsxi/scripts/liblog.sh
. /opt/nsxi/scripts/libzookeeper.sh

# Load ZooKeeper environment variables
eval "$(zookeeper_env)"

if [ -x "/opt/nsxi/scripts/run.sh" ]; then
    info "** Starting ZooKeeper setup **"
    /opt/nsxi/scripts/setup.sh
    info "** ZooKeeper setup finished! **"
fi

echo ""
exec "$@"
