#!/bin/bash

# shellcheck disable=SC1091

set -o errexit
set -o nounset
set -o pipefail
# set -o xtrace # Uncomment this line for debugging purposes

# Load libraries
. /opt/nsxi/scripts/libzookeeper.sh
. /opt/nsxi/scripts/libos.sh
. /opt/nsxi/scripts/liblog.sh

# Load ZooKeeper environment variables
eval "$(zookeeper_env)"

START_COMMAND=("${ZOO_BASE_DIR}/bin/zkServer.sh" "start-foreground")

info "** Starting ZooKeeper **"
exec "${START_COMMAND[@]}"
